Updates the stored infoType by creating a new version. The existing version will continue to be used until the new version is ready. See https://docs.cloud.google.com/sensitive-data-protection/docs/creating-stored-infotypes to learn more.
HTTP request
PATCH https://dlp.googleapis.com/v2/{name=projects/*/locations/*/storedInfoTypes/*} The URLs use gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. Resource name of organization and storedInfoType to be updated, for example Authorization requires the following IAM permission on the specified resource
|
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{
"config": {
object ( |
| Fields | |
|---|---|
config |
Updated configuration for the storedInfoType. If not provided, a new version of the storedInfoType will be created with the existing configuration. |
updateMask |
Mask to control which fields get updated. This is a comma-separated list of fully qualified names of fields. Example: |
Response body
If successful, the response body contains an instance of StoredInfoType.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.